org.apache.maven.scm.command.tag

## Class AbstractTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand

- All Implemented Interfaces:
    Command
  Direct Known Subclasses:
    AbstractCvsTagCommand, BazaarTagCommand, ClearCaseTagCommand, GitTagCommand, HgTagCommand, LocalTagCommand, PerforceTagCommand, StarteamTagCommand, SvnTagCommand, SynergyTagCommand, TfsTagCommand

      public abstract class AbstractTagCommand
      extends AbstractCommand

  Version:
    $Id: AbstractTagCommand.java 770123 2009-04-30 09:15:18Z olamy $
  Author:
    Emmanuel Venisse, Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTagCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScmResult` | `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
    `protected abstract ScmResult` | `executeTagCommand(ScmProviderRepository repository, ScmFileSet fileSet, String tagName, ScmTagParameters scmTagParameters)`
    `protected ScmResult` | `executeTagCommand(ScmProviderRepository repository, ScmFileSet fileSet, String tagName, String message)` Deprecated. use method `executeTagCommand(ScmProviderRepository, ScmFileSet, String, ScmTagParameters)`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTagCommand

          public AbstractTagCommand()

  - ### Method Detail

    - #### executeTagCommand

          protected ScmResult executeTagCommand(ScmProviderRepository repository,
                                    ScmFileSet fileSet,
                                    String tagName,
                                    String message)
                                         throws ScmException

      Deprecated. use method `executeTagCommand(ScmProviderRepository, ScmFileSet, String, ScmTagParameters)`
      Parameters:
        `repository` -
        `fileSet` -
        `tagName` -
        `message` -
      Returns:
      Throws:
        `ScmException`

    - #### executeTagCommand

          protected abstract ScmResult executeTagCommand(ScmProviderRepository repository,
                                    ScmFileSet fileSet,
                                    String tagName,
                                    ScmTagParameters scmTagParameters)
                                                  throws ScmException

      Throws:
        `ScmException`

    - #### executeCommand

          public ScmResult executeCommand(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 CommandParameters parameters)
                                   throws ScmException

      Specified by:
        `executeCommand` in class `AbstractCommand`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.